Error inflating class android.support.v7.widget.RecyclerView

If you are getting this error -> Error inflating class android.support.v7.widget.RecyclerView or rendering problem in Android Studio then goto  build.gradle ( module: app ) and add dependency for recyclerview.   You need to rebuild project in order to resolve the error displayed in rendering.

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    testCompile 'junit:junit:4.12'
    compile 'com.android.support:appcompat-v7:23.0.1'
    compile 'com.android.support:design:23.0.1'
    compile 'com.android.support:recyclerview-v7:+'
}

 

 

Leave a Reply

Your email address will not be published. Required fields are marked *